Skip to content

notifyPaymentToken

  • Endpoint: POST /tokenizationNotifyUrl
  • Tags: Collection Service/Payment Tokenization

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesmaxLength: 32Return code, ‘APPLY_SUCCESS’ means success
msgstringYesmaxLength: 256Return message, ‘Success.’
notifyTimestringYesmaxLength: 32Notification time,Compliant with rfc3339 specification, format:yyyy-MM-dd’T’HH:mm:ss.SSSXXX
notifyTypestringYesmaxLength: 16Notification Type TOKENIZATION
dataobjectYesRequest data body
data.userIdstringYesmaxLength: 64The user ID by the merchant, needs to ensure the uniqueness of each user
data.paymentTokenIDstringYesmaxLength: 64
data.tokenScopestringYesmaxLength: 16Product RangetokenAcq, tokenRec, tokenLink
data.paymentTokenExpirystringYesmaxLength: 32Token validity period,Comply with rfc3339 specification, format: yyyy-MM-dd’T’HH:mm:ss.SSSXXX
data.paymentTokenStatusstringYesmaxLength: 16Token status, this field is required when paying with card tokenDeleted, Activated, Expired
data.cardInfostringNomaxLength: 19Mask card number, desensitized according to the first 6 and the last 4, such as 533333**2222
data.ifCVVstringNomaxLength: 1Whether CVV is required. Y: When using Token to pay, you need to input CVV again; N: CVV does not need to be entered again when using Token payment. Note: CVV is verified again according to the rules of the issuing bank
data.brandstringNomaxLength: 32Card groups, such as Visa, Mastercard, and dual-standard cards are returned
data.outTradeNostringNomaxLength: 64The merchant order number corresponding to the original payment transaction.This field is returned only in the notification interface after the first authorization payment is successful. This field is empty when the merchant is notified again of a change in the paymentTokenStatus status.
data.paymentMethodTypestringYesmaxLength: 32payment method type, such as CARD, ONE_TOUCH
data.targetOrgstringNomaxLength: 32The target organisation, where paymentMethodType is CARD, targetOrg is empty string
data.accountDisplaystringNoMask account number, where paymentMethodType is CARD, accountDisplay is empty string
data.countrystringYescountry code
data.referralCodestringNotoken binding unique identifier
keyVersionstringYesSignature Algorithm Version, Current value: 1
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax

Example

json
{
  "code": "APPLY_SUCCESS",
  "data": {
    "accountDisplay": "63-9****72123",
    "brand": "",
    "cardInfo": "",
    "ifCVV": "",
    "outTradeNo": "20230725203208988107020",
    "paymentMethodType": "ONE_TOUCH",
    "paymentTokenExpiry": "2025-01-11T20:01:55.200Z",
    "paymentTokenID": "5265908adbaa9bd202ba1eb29bd53d68",
    "paymentTokenStatus": "Activated",
    "targetOrg": "DANA",
    "tokenScope": "tokenAcq",
    "userId": "victor002",
    "country": "ID",
    "referralCode": "xxxx"
  },
  "keyVersion": "1",
  "merchantAppId": "0d22b150ff58454d888d51657da98470",
  "merchantNo": "SP103301558",
  "msg": "Success.",
  "notifyTime": "2023-07-25T12:40:07.072Z",
  "notifyType": "TOKENIZATION"
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Response Example

json
{
  "code": "SUCCESS",
  "msg": "Success"
}

Enum Reference

data.tokenScope

  • tokenAcq
  • tokenRec
  • tokenLink

data.paymentTokenStatus

  • Deleted
  • Activated
  • Expired

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.